--- old/usr/src/cmd/fs.d/ufs/mkfs/mkfs.c	2014-08-13 12:15:18.597647355 -0400
+++ new/usr/src/cmd/fs.d/ufs/mkfs/mkfs.c	2014-08-13 12:15:18.626207953 -0400
@@ -2810,7 +2810,7 @@
 		bcopy(&lost_found_dir[2], &buf[i], DIRSIZ(&lost_found_dir[2]));
 	}
 	node.i_number = LOSTFOUNDINO;
-	node.i_smode = node.i_mode = IFDIR | 0700;
+	node.i_smode = IFDIR | 0700;
 	node.i_nlink = 2;
 	node.i_size = sblock.fs_bsize;
 	node.i_db[0] = alloc((int)node.i_size, node.i_mode);
@@ -2823,7 +2823,7 @@
 	 * create the root directory
 	 */
 	node.i_number = UFSROOTINO;
-	node.i_mode = node.i_smode = IFDIR | UMASK;
+	node.i_mode = IFDIR | UMASK;
 	node.i_nlink = PREDEFDIR;
 	node.i_size = makedir(root_dir, PREDEFDIR);
 	node.i_db[0] = alloc(sblock.fs_fsize, node.i_mode);
--- old/usr/src/cmd/mdb/intel/modules/generic_cpu/gcpu.c	2014-08-13 12:15:19.618187927 -0400
+++ new/usr/src/cmd/mdb/intel/modules/generic_cpu/gcpu.c	2014-08-13 12:15:19.632110043 -0400
@@ -127,7 +127,7 @@
 		return (B_TRUE);
 
 	/* increment the chip id */
-	wsp->chipid = ++wsp->chipid & (CMI_MAX_CHIPID);
+	wsp->chipid = (wsp->chipid + 1) & (CMI_MAX_CHIPID);
 
 	return (B_TRUE);
 }
--- old/usr/src/cmd/scadm/sparc/mpxu/common/smq.c	2014-08-13 12:15:20.288515266 -0400
+++ new/usr/src/cmd/scadm/sparc/mpxu/common/smq.c	2014-08-13 12:15:20.313991583 -0400
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * smq.c: to provide a message queue system for scadm functions (used in the
  * firmware download context where BP messages, received from the service
@@ -91,8 +89,7 @@
 	/* Copy messaged into queue */
 	*msg = *smq->smq_head;
 
-	/* Increment Head */
-	smq->smq_head = smq->smq_head++;
+	smq->smq_head++;
 	if ((unsigned long)smq->smq_head > ((unsigned long)smq->smq_msgBuffer +
 	    (unsigned long)(smq->smq_depth * sizeof (smq_msg_t)))) {
 		smq->smq_head = smq->smq_msgBuffer;
@@ -115,8 +112,7 @@
 	/* Copy messaged into queue */
 	*smq->smq_tail = *msg;
 
-	/* Increment Tail */
-	smq->smq_tail = smq->smq_tail++;
+	smq->smq_tail++;
 	if ((unsigned long)smq->smq_tail > ((unsigned long)smq->smq_msgBuffer +
 	    (unsigned long)(smq->smq_depth * sizeof (smq_msg_t)))) {
 		smq->smq_tail = smq->smq_msgBuffer;
@@ -175,8 +171,7 @@
 	/* Copy messaged into queue */
 	*msg = *smq->smq_head;
 
-	/* Increment Head */
-	smq->smq_head = smq->smq_head++;
+	smq->smq_head++;
 	if ((unsigned long)smq->smq_head > ((unsigned long)smq->smq_msgBuffer +
 	    (unsigned long)(smq->smq_depth * sizeof (smq_msg_t)))) {
 		smq->smq_head = smq->smq_msgBuffer;
--- old/usr/src/cmd/troff/nroff.d/n6.c	2014-08-13 12:15:21.049008087 -0400
+++ new/usr/src/cmd/troff/nroff.d/n6.c	2014-08-13 12:15:21.062842532 -0400
@@ -37,8 +37,6 @@
  * contributors.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include "tdef.h"
 #include "tw.h"
 #include "ext.h"
@@ -244,7 +242,7 @@
 
 	if (a)
 		i = getrq();
-	else 
+	else
 		i = getsn();
 	if (!i || i == 'P') {
 		j = font1;
@@ -271,7 +269,7 @@
 	int	delim, emsz, k;
 	int	savhp, savapts, savapts1, savfont, savfont1, savpts, savpts1;
 
-	base = numtab[ST].val = numtab[ST].val = wid = numtab[CT].val = 0;
+	base = numtab[ST].val = wid = numtab[CT].val = 0;
 	if (ismot(i = getch()))
 		return (0);
 	delim = cbits(i);
@@ -296,7 +294,7 @@
 				k = -k;
 			base -= k;
 			emsz = 0;
-		} else 
+		} else
 			continue;
 		if (base < numtab[SB].val)
 			numtab[SB].val = base;
@@ -434,7 +432,7 @@
 	if (skip() || !(i = getrq()) || (j = findft(i)) == -1) {
 		if (k)
 			goto bd1;
-		else 
+		else
 			return (0);
 	}
 	if (j == smnt) {
--- old/usr/src/cmd/troff/troff.d/t6.c	2014-08-13 12:15:21.493251847 -0400
+++ new/usr/src/cmd/troff/troff.d/t6.c	2014-08-13 12:15:21.507574423 -0400
@@ -37,11 +37,9 @@
  * contributors.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * t6.c
- * 
+ *
  * width functions, sizes and fonts
  */
 
@@ -98,7 +96,7 @@
 	if (sfbits(j) == oldbits) {
 		xfont = pfont;
 		xpts = ppts;
-	} else 
+	} else
 		xbits(j, 0);
 	if (widcache[i-32].fontpts == (xfont<<8) + xpts && !setwdf)
 		k = widcache[i-32].width;
@@ -186,8 +184,8 @@
 	if (cs = cstab[xfont]) {
 		nocache = 1;
 		if (ccs = ccstab[xfont])
-			x = ccs; 
-		else 
+			x = ccs;
+		else
 			x = xpts;
 		cs = (cs * EMPTS(x)) / 36;
 	}
@@ -472,7 +470,7 @@
 
 	if (a)
 		i = getrq();
-	else 
+	else
 		i = getsn();
 	if (!i || i == 'P') {
 		j = font1;
@@ -500,7 +498,7 @@
 	int	delim, emsz, k;
 	int	savhp, savapts, savapts1, savfont, savfont1, savpts, savpts1;
 
-	base = numtab[ST].val = numtab[ST].val = wid = numtab[CT].val = 0;
+	base = numtab[ST].val = wid = numtab[CT].val = 0;
 	if (ismot(i = getch()))
 		return (0);
 	delim = cbits(i);
@@ -525,7 +523,7 @@
 				k = -k;
 			base -= k;
 			emsz = 0;
-		} else 
+		} else
 			continue;
 		if (base < numtab[SB].val)
 			numtab[SB].val = base;
@@ -640,7 +638,7 @@
 				*pbp++ = k;
 				j = LIG_FF;
 			}
-		} else 
+		} else
 			j = LIG_FF;
 	} else {
 		*pbp++ = j;
@@ -718,8 +716,8 @@
 	fontbase[pos]->nwfont = n;	/* so can load a larger one again later */
 	close(k);
 	if (pos == smnt) {
-		smnt = 0; 
-		sbold = 0; 
+		smnt = 0;
+		sbold = 0;
 	}
 	if ((fontlab[pos] = f) == 'S')
 		smnt = pos;
@@ -776,7 +774,7 @@
 	if (skip() || !(i = getrq()) || (j = findft(i)) == -1) {
 		if (k)
 			goto bd1;
-		else 
+		else
 			return (0);
 	}
 	if (j == smnt) {
@@ -810,7 +808,7 @@
 	i = inumb(&lss);
 	if (nonumb)
 		i = lss1;
-	if (i < VERT) 
+	if (i < VERT)
 		i = VERT;
 	lss1 = lss;
 	lss = i;
--- old/usr/src/uts/common/io/hxge/hxge_virtual.c	2014-08-13 12:15:21.997343973 -0400
+++ new/usr/src/uts/common/io/hxge/hxge_virtual.c	2014-08-13 12:15:22.013700815 -0400
@@ -935,8 +935,8 @@
 		HXGE_DEBUG_MSG((NULL, INT_CTL, "==> hxge_ldgv_setup(done): "
 		    "ldv %d endldg %d ldg %d, ldvp $%p",
 		    ldv, endldg, (*ldgp)->ldg, (*ldgp)->ldvp));
-		(*ldvp) = ++*ldvp;
-		(*ldgp) = ++*ldgp;
+		++*ldvp;
+		++*ldgp;
 		HXGE_DEBUG_MSG((NULL, INT_CTL,
 		    "==> hxge_ldgv_setup: new ngrps %d", *ngrps));
 	}
--- old/usr/src/uts/common/io/ib/adapters/hermon/hermon_cmd.c	2014-08-13 12:15:22.489401558 -0400
+++ new/usr/src/uts/common/io/ib/adapters/hermon/hermon_cmd.c	2014-08-13 12:15:22.503760437 -0400
@@ -697,7 +697,7 @@
 	 */
 	if (mblist->mbl_pollers > 0 && mblist->mbl_waiters > 0) {
 		/* flip the signal value */
-		mblist->mbl_signal = (++mblist->mbl_signal) % 2;
+		mblist->mbl_signal = (mblist->mbl_signal + 1) % 2;
 	} else if (mblist->mbl_waiters > 0) {
 		mblist->mbl_signal = 1;
 	} else {
--- old/usr/src/uts/common/io/ib/adapters/tavor/tavor_cmd.c	2014-08-13 12:15:23.142918867 -0400
+++ new/usr/src/uts/common/io/ib/adapters/tavor/tavor_cmd.c	2014-08-13 12:15:23.157230152 -0400
@@ -676,7 +676,7 @@
 	 */
 	if (mblist->mbl_pollers > 0 && mblist->mbl_waiters > 0) {
 		/* flip the signal value */
-		mblist->mbl_signal = (++mblist->mbl_signal) % 2;
+		mblist->mbl_signal = (mblist->mbl_signal + 1) % 2;
 	} else if (mblist->mbl_waiters > 0) {
 		mblist->mbl_signal = 1;
 	} else {
--- old/usr/src/uts/common/io/nxge/nxge_virtual.c	2014-08-13 12:15:23.779131229 -0400
+++ new/usr/src/uts/common/io/nxge/nxge_virtual.c	2014-08-13 12:15:23.793205902 -0400
@@ -3964,8 +3964,8 @@
 		NXGE_DEBUG_MSG((NULL, INT_CTL, "==> nxge_ldgv_setup(done): "
 		    "ldv %d endldg %d ldg %d, ldvp $%p",
 		    ldv, endldg, (*ldgp)->ldg, (*ldgp)->ldvp));
-		(*ldvp) = ++*ldvp;
-		(*ldgp) = ++*ldgp;
+		++*ldvp;
+		++*ldgp;
 		NXGE_DEBUG_MSG((NULL, INT_CTL,
 		    "==> nxge_ldgv_setup: new ngrps %d", *ngrps));
 	}
--- old/usr/src/uts/intel/io/dktp/drvobj/strategy.c	2014-08-13 12:15:24.448772810 -0400
+++ new/usr/src/uts/intel/io/dktp/drvobj/strategy.c	2014-08-13 12:15:24.462580906 -0400
@@ -235,7 +235,7 @@
 		kstat_waitq_enter(KSTAT_IO_PTR(dsnglp->ds_kstat));
 	}
 	if (TGCOM_PKT(tgcom_objp, in_bp, dsngl_restart,
-		(caddr_t)dsnglp) != DDI_SUCCESS) {
+	    (caddr_t)dsnglp) != DDI_SUCCESS) {
 
 		dsnglp->ds_bp = in_bp;
 		mutex_exit(&dsnglp->ds_mutex);
@@ -369,7 +369,7 @@
 	}
 
 	if (TGCOM_PKT(tgcom_objp, in_bp, dmult_restart,
-		(caddr_t)dmultp) != DDI_SUCCESS) {
+	    (caddr_t)dmultp) != DDI_SUCCESS) {
 
 		dmultp->ds_bp = in_bp;
 		mutex_exit(&dmultp->ds_mutex);
@@ -859,7 +859,7 @@
 
 	queobjp->que_ops = &qmerge_ops;
 	qfp = (struct que_data *)(queobjp+1);
-	qfp->q_tab.hd_private = qfp->q_tab.hd_private = 0;
+	qfp->q_tab.hd_private = 0;
 	qfp->q_tab.hd_sync_next = qfp->q_tab.hd_async_next = NULL;
 	qfp->q_tab.hd_cnt = (void *)qmerge_sync2async;
 	queobjp->que_data = (opaque_t)qfp;
@@ -1176,7 +1176,7 @@
 				} else {
 					flags &= ~QNEAR_ASYNCALSO;
 					SYNC2ASYNC(qfp) =
-						(void *)qmerge_sync2async;
+					    (void *)qmerge_sync2async;
 					qfp->q_tab.hd_private = 0;
 					goto begin_nextbp;
 				}
@@ -1232,7 +1232,7 @@
 					if (*async_bpp)
 						flags |= QNEAR_ASYNCALSO;
 					SYNC2ASYNC(qfp) =
-						(void *)qmerge_sync2async;
+					    (void *)qmerge_sync2async;
 				}
 				private = 0;
 			}
@@ -1250,7 +1250,7 @@
 					if (*async_bpp)
 						flags |= QNEAR_ASYNCALSO;
 					SYNC2ASYNC(qfp) =
-						(void *)qmerge_sync2async;
+					    (void *)qmerge_sync2async;
 				}
 			}
 		} else if (qmerge2wayscan == 0) {
--- old/usr/src/uts/sun4u/serengeti/io/sghsc.c	2014-08-13 12:15:24.967957868 -0400
+++ new/usr/src/uts/sun4u/serengeti/io/sghsc.c	2014-08-13 12:15:24.982356647 -0400
@@ -1783,7 +1783,7 @@
 
 	rb_head->buf[rb_head->put_idx] = *event;
 
-	rb_head->put_idx = ++rb_head->put_idx & (rb_head->size - 1);
+	rb_head->put_idx = (rb_head->put_idx + 1) & (rb_head->size - 1);
 
 	if (rb_head->put_idx == rb_head->get_idx)
 		rb_head->state = SGHSC_RB_FULL;
@@ -1806,7 +1806,7 @@
 
 	*event = rb_head->buf[rb_head->get_idx];
 
-	rb_head->get_idx = ++rb_head->get_idx & (rb_head->size - 1);
+	rb_head->get_idx = (rb_head->get_idx + 1) & (rb_head->size - 1);
 
 	if (rb_head->get_idx == rb_head->put_idx)
 		rb_head->state = SGHSC_RB_EMPTY;
